using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.HM
{
    [Description("作业任务识别明细岗位表")]
    public class T_HM_JOBTASK_IDENTIFY_DETAIL_POST : MesEntityBase
    {
        [Description("作业任务识别明细表ID")]
        [DataFieldForeignKey("Nav_Detail", "Nav_DetailPost")]
        public Guid JOBTASK_IDENTIFY_DETAIL_ID { get; set; }

        [Description("导航属性：作业任务识别明细表")]
        public virtual T_HM_JOBTASK_IDENTIFY_DETAIL Nav_Detail { get; set; }

        /// 相关岗位
        /// </summary>
        [Description("岗位ID")]
        [DataFieldForeignKey("Nav_Post")]
        [FormFieldEdit]
        public Guid? POST_ID { get; set; }

        [Description("导航属性：相关岗位")]
        public T_FM_USER_POST Nav_Post { get; set; }
    }
}
